!  0.01を10000回足すプログラム(倍精度)
!  履歴
!  2013/04/25 村橋　究理基　作成

program ex2_double
implicit none

real(8) :: val    ! 結果を入れる変数
integer :: i      ! ループ変数

! 変数の初期化
val = 0.0d0

write(*, *) "0.01を10000回足す"

! 0.01を10000回足すループ 開始
do i=1, 10000
  val = val + 0.01d0

  write(*, *) i, "回目 ", val
enddo
! 0.01を10000回足すループ 終了

end program ex2_double
